<?php
namespace App\Repositories\Contracts;

use Illuminate\Http\Request;

interface ReportRepositoryInterface
{
    public function all(Request $request);

    public function create(array $properties);

    public function update($report, array $properties);

    public function delete($report);
}